<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:tools="http://schemas.android.com/tools"
                xmlns:app="http://schemas.android.com/apk/res-auto"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="0dp"
                tools:context=".LoginActivity">

    <LinearLayout
        android:id="@+id/logoLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/userNameInput"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:background="@color/sinch_yellow"
        android:paddingLeft="40dp"
        android:paddingRight="40dp">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="@dimen/margin_big"
            android:paddingRight="@dimen/margin_big"
            android:src="@drawable/ic_sinch_logotype_black_rgb" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/userNameInput"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:orientation="vertical"
        android:paddingLeft="@dimen/margin_big"
        android:paddingRight="@dimen/margin_big">

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/input_layout_bottom"
                android:layout_marginTop="@dimen/margin_big"
                android:hint="@string/enter_your_id"
                app:startIconDrawable="@drawable/ic_baseline_person_24_black"
                app:startIconTint="@color/colorPrimaryDark">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/loginName"
                    android:inputType="text"
                    android:imeOptions="actionDone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </com.google.android.material.textfield.TextInputLayout>

    </LinearLayout>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/loginButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_gravity="center_horizontal"
        android:layout_marginStart="@dimen/margin_average"
        android:layout_marginEnd="@dimen/margin_average"
        android:layout_marginBottom="@dimen/margin_average"
        android:padding="@dimen/margin_base_plus"
        android:text="@string/login"
        android:textColor="@color/white"
        app:backgroundTint="@color/sinch_green" />

</RelativeLayout>